> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notional.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Ledger

## Endpoint

```text theme={null}
POST /info
```

## Request Body

| Parameter | Type   | Description         |
| --------- | ------ | ------------------- |
| `type`\*  | string | Must be `"ledger"`  |
| `user`\*  | string | User wallet address |

## Response

```json theme={null}
[
  {
    "time": 1701230000000,
    "hash": "0x5678efgh...",
    "delta": {
      "coin": "USDC",
      "type": "deposit",
      "usdc": "10000.00",
      "szi": "0"
    }
  },
  {
    "time": 1701234567890,
    "hash": "0x1234abcd...",
    "delta": {
      "coin": "BTC",
      "type": "funding",
      "usdc": "-2.50",
      "szi": "0.1",
      "rate": "0.0001"
    }
  }
]
```

## Response Fields

| Field        | Type   | Description                                                    |
| ------------ | ------ | -------------------------------------------------------------- |
| `time`       | number | Entry timestamp                                                |
| `hash`       | string | Event or transaction hash                                      |
| `delta.coin` | string | Asset symbol                                                   |
| `delta.type` | string | `deposit`, `withdrawal`, `funding`, `interest`, or `rewards`   |
| `delta.usdc` | string | Signed USDC value                                              |
| `delta.szi`  | string | Position size when relevant                                    |
| `delta.rate` | string | Funding or interest rate when relevant                         |
| `status`     | string | Optional withdrawal status: `pending`, `complete`, or `failed` |

## Notes

<Note>
  * Results are sorted in ascending timestamp order. - Deposit entries do not include a `status`
    field. - Withdrawal entries may include `status: "pending"`, `status: "complete"`, or `status:
      "failed"`.
</Note>
